﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter.ExcelExporter;
using Infragistics.Documents.Excel;
using System.Diagnostics;

namespace ExportingUnboundFieldWithCombo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new List<Data>
            {
                new Data 
                {
                    TradeTypes = new List<ComboData>
                    {
                        new ComboData { DisplayName = "Item 1" },
                        new ComboData { DisplayName = "Item 2" },
                        new ComboData { DisplayName = "Item 3" },
                    },
                },
                new Data 
                {
                    TradeTypes = new List<ComboData>
                    {
                        new ComboData { DisplayName = "Item 4" },
                        new ComboData { DisplayName = "Item 5" },
                        new ComboData { DisplayName = "Item 6" },
                    }
                }
            };
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            DataPresenterExcelExporter exporter = new DataPresenterExcelExporter();
            exporter.Export(xamDataGrid1, "data.xlsx", WorkbookFormat.Excel2007);
            //Open file
            Process.Start("data.xlsx");

            //Save  file
            //string fileName = @"D:\Projects\XamDataGrid\ExportingUnboundFieldWithCombo\ExportingUnboundFieldWithCombo\data.xlsx";
            //exporter.Export(xamDataGrid1, fileName, WorkbookFormat.Excel2007); 

        }
    }

    public class Data
    {
        public ComboData SelectedTradeType { get; set; }
        public List<ComboData> TradeTypes { get; set; }
    }

    public class ComboData
    {
        public string DisplayName { get; set; }

        public override string ToString()
        {
            return DisplayName;
        }
    }
}
